Skip to main content
`Ctrl`+`K`
scipy.stats.Mixture.

# mean

Mixture.mean(*, method=None)

  Mean (raw first moment about the origin)

  Parameters:
    method{None, ‘formula’, ‘transform’, ‘quadrature’, ‘cache’}

      Method used to calculate the raw first moment. Not all methods are available for all distributions. See `moment` for details.

  See also

  `moment`
  `median`
  `mode`

  References

  [1]

  Mean, Wikipedia, https://en.wikipedia.org/wiki/Mean#Mean_of_a_probability_distribution

  Examples

  Instantiate a distribution with the desired parameters:

      >>> from scipy import stats
      >>> X = stats.Normal(mu=1., sigma=2.)

  Evaluate the variance:

      >>> X.mean()
      1.0
      >>> X.mean() == X.moment(order=1, kind='raw') == X.mu
      True